<?PHP
////Conexiones y tiempos de ejecución
ini_set('max_execution_time', 300);
include ("conexion/SecurityAccess.php");

$UsuaEnRec=$_POST['txt_USUA'] or $UsuaEnRec=$_GET['txt_USUA'];
$PassEnRec=$_POST['txt_PASS'] or $PassEnRec=$_GET['txt_PASS'];

///////ENCRIPTAR CONTRASEÑA///////////
		$PassENC=sha1($PassEnRec);
		
		
///Tipo de Analisis - Envio nombre de Usuario
$sql_DTA = mysql_query("select * from tabla_usuarios where USUARION='$UsuaEnRec'");
if (mysql_numrows($sql_DTA)<>0)
{///Inicia IF DTA
		
	/////////Identificar Usuario
		$sql_Vu1 = mysql_query("select USUARION,PASSWORD,MAIL,NOMBRE,APATERNO,AMATERNO from tabla_usuarios where USUARION='$UsuaEnRec'");
		if (mysql_numrows($sql_Vu1)==0) echo "";
		else{
		$registro_Vu1=mysql_fetch_array($sql_Vu1);
		}
		if (mysql_numrows($sql_Vu1)>0)
		{
		$Usua_Vu1=$registro_Vu1["USUARION"];
		$Pass_Vu1=$registro_Vu1["PASSWORD"];
		$Mail_Vu1=$registro_Vu1["MAIL"];
		$Nomb_Vu1=$registro_Vu1["NOMBRE"];
		$APat_Vu1=$registro_Vu1["APATERNO"];
		$AMat_Vu1=$registro_Vu1["AMATERNO"];
		}
		
		if ($Usua_Vu1==$UsuaEnRec)
			{				
				if ($Pass_Vu1==$PassENC)
				{
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=http://www.logsyswms.com/dasboard/NotificacionRecoveryAccess.php?MailDest=$Mail_Vu1&NombDest=$Nomb_Vu1&NombUsu=$Usua_Vu1'>";					
				}
				else
				{
					echo "<script>alert('El password es incorrecto');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RecoverAccess.php'>";
				}
			}
			else
			{
				echo "<script>alert('El usuario es incorrecto');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RecoverAccess.php'>";	
			}

}///Termina IF DTA
else
{///Inicia ELSE DTA

///Tipo de Analisis - Envio cuenta de EMAIL
$sql_DTA2 = mysql_query("select * from tabla_usuarios where MAIL='$UsuaEnRec'");
if (mysql_numrows($sql_DTA2)<>0)
{///Inicia IF DTA2

/////////Identificar Email
		$sql_Vu1 = mysql_query("select USUARION,PASSWORD,MAIL,NOMBRE,APATERNO,AMATERNO from tabla_usuarios where MAIL='$UsuaEnRec'");
		if (mysql_numrows($sql_Vu1)==0) echo "";
		else{
		$registro_Vu1=mysql_fetch_array($sql_Vu1);
		}
		if (mysql_numrows($sql_Vu1)>0)
		{
		$Usua_Vu1=$registro_Vu1["USUARION"];
		$Pass_Vu1=$registro_Vu1["PASSWORD"];
		$Mail_Vu1=$registro_Vu1["MAIL"];
		$Nomb_Vu1=$registro_Vu1["NOMBRE"];
		$APat_Vu1=$registro_Vu1["APATERNO"];
		$AMat_Vu1=$registro_Vu1["AMATERNO"];
		}
		
		if ($Usua_Vu1==$Usua_Vu1)
			{				
				if ($Pass_Vu1==$PassENC)
				{
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=http://www.logsyswms.com/dasboard/NotificacionRecoveryAccess.php?MailDest=$Mail_Vu1&NombDest=$Nomb_Vu1&NombUsu=$Usua_Vu1'>";					
				}
				else
				{
					echo "<script>alert('El password es incorrecto');</script>";
					echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RecoverAccess.php'>";
				}
			}
			else
			{
				echo "<script>alert('El usuario es incorrecto');</script>";
				echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RecoverAccess.php'>";	
			}


}///Termina IF DTA2
else
{///Inicia ELSE DTA2
	echo "<script>alert('El usuario y/o correo electronico digitado no existen dentro del sistema.\\n\\nFavor de corroborarlo.');</script>";
	echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=RecoverAccess.php'>";
}///Termina ELSE DTA2


}///Termina ELSE DTA
?>